Questions tagged [package-management]

Questions about the management of software packages, in particular the APT and dpkg systems.

Filter by
Sorted by
Tagged with
0 votes
0 answers
12 views

Upgrade issue with XDG_RUNTIME_DIR

I am trying to upgrade my machine (results below) but I am running into an issue with an audio package: XDG_RUNTIME_DIR. I saw a "fix" for installing Ubuntu on windows machines, but it does ...
  • 3
0 votes
1 answer
9 views

Upgrading - Issues finding "workspacesclient/unknown"

I am having an issue finding where I can update "workspacesclient." I do not have much information except for the following code (below). Does anyone know where I can find more information ...
  • 3
0 votes
1 answer
34 views

Error while installing io octave package

I want to install the GNU Octave io package, but I keep receiving the following error in the process. pkg install -forge io sh: 1: make: not found error: pkg: error running 'make' for the io package. ...
0 votes
0 answers
19 views

Error : FileNotFoundError while "do-release-upgrade" No such file or directory: '/tmp/ubuntu-release-upgrader-frfzvq3x/Ubuntu.info'

I am trying to upgrade from Ubuntu 20.04.5 LTS to Ubuntu 22.04.1 LTS but while do-release-upgrade I am getting the error like **FileNotFoundError: [Errno 2] No such file or directory: '/tmp/ubuntu-...
-1 votes
0 answers
38 views

Software Updater failed: Package dependencies cannot be resolved: Edited 20230203 @ 19:29 MST

I was notified that new software is available to be installed. I tried to do so, but it failed (message below). I tried again after rebooting, and it failed (message below). Any suggestions? Package ...
  • 59
1 vote
0 answers
32 views

alternative for apt-mirror

We were using Ubuntu 18.04, and used apt-mirror to download packages from external sources. We were happy w that solution. However, we recently upgraded to Ubuntu 20.04, and experience a broken apt-...
  • 191
0 votes
0 answers
21 views

Installing the deb package as Service in Debian [closed]

I have a Deb package with set of binaries(.NET 6 based), but these application we need to install as a Service in Debian machine. I can able to do the service installation manually., Need some input ...
10 votes
1 answer
2k views

Removed apt as package manager

Nala is a recently-introduced package manager which also uses dpkg for managing packages in Ubuntu. I installed nala and I'm getting a very decent experience. Now, I wanted to remove apt from my ...
0 votes
0 answers
15 views

pls when i try updating my ubuntu 22.10 this is what i get [duplicate]

[sudo] password for ernest: Hit:1 http://us.archive.ubuntu.com/ubuntu kinetic InRelease Get:2 http://security.ubuntu.com/ubuntu kinetic-security InRelease [109 kB] Get:3 http:/...
-1 votes
0 answers
15 views

Why i can not install "simplescreenrecorder" [duplicate]

first i can not use these commands sudo apt update sudo apt-get upgrade in this file /etc/apt$ sudo nano sources.list i had this content: deb http://archive.ubuntu.com/ubuntu hirsute universe main ...
  • 1
0 votes
0 answers
21 views

ubuntu-advantage-desktop-daemon [duplicate]

Is removing ubuntu-advantage-desktop-daemon really removing so much ? Will the removal result in ubuntu 20.04 GNOME failing to work ? Aspire-E5-523G:~$ sudo apt remove ubuntu-advantage-desktop-daemon ...
  • 9
0 votes
0 answers
22 views

Packages being held back for long [duplicate]

I'm trying to update-upgrade for almost a week, but specific packages are being held back for too long does anyone know how to update them? If you open the Gnome Software there is OS Updates and ...
  • 3
1 vote
0 answers
31 views

Ubuntu apt upgrades increasing and getting skipped [duplicate]

I've been using ubuntu as my daily driver for a while already (since version 18 LTS). It's very useful and I personally love it. I've recently installed ubuntu desktop 22.04.1 LTS on a brand new ...
  • 11
-1 votes
1 answer
49 views

module 'collections' has no attribute 'Mapping' how to safely reinstall update-notifier-common?

When running app upgrade I get the following errors: $ sudo sudo apt upgrade [sudo] password for admin-federico-dostuni: Hit:1 http://azure.archive.ubuntu.com/ubuntu bionic InRelease Get:2 http://...
  • 105
0 votes
0 answers
28 views

Error in installed packages

what can be done here? as the omsagent has dependency on scx and scx does not like dpkg --configure -a.
2 votes
1 answer
168 views

How do I install linux-tools for a mainline kernel?

I have kernel 5.19.2-051902-generic on ubuntu 22.04.1 jammy and need linux-tools-generic. However the version that is downloaded after sudo apt-get install linux-tools-generic is linux-tools-5.15.0-58-...
0 votes
0 answers
41 views

How to replicate the list of installed packages on another installation [duplicate]

I'm actually trying to diagnose a partly-broken system -- several symptoms have recently arisen. Odd combinations -- Ctl-Alt-F1 no longer works, my web page is down, I can no longer mount FAT thumb ...
0 votes
0 answers
17 views

How can installing winamp audio player app in Ubuntu? [duplicate]

first of all I want to ask if the Winamp app can be used in Ubuntu? Because I have used that application for years, I have been using Ubuntu for about three years, and it seems to me better than ...
0 votes
1 answer
25 views

How can I install the dialog package? [duplicate]

How can I install the dialog package? I try these commands, but it doesn't work: sudo apt-get update sudo apt-get install dialog Reading package lists... Done Building dependency tree... Done Reading ...
3 votes
3 answers
639 views

How to install the latest version of one particular package

I am running Ubuntu 22.04 LTS on the intended laptop, with the following package power-profiles-daemon 0.10.1-3, which I would like to update to version 0.12 to test if that will allow me to have &...
0 votes
1 answer
22 views

How to get ttf/otf of a default font?

I found a font that I would like to use on my website and it turns out that this is a default font that comes with Ubuntu. As it comes with Ubuntu, it is installed as a .deb package and after ...
  • 151
21 votes
5 answers
8k views

I'm getting the error "The following security updates require Ubuntu Pro with 'esm-apps' enabled" when updating Ubuntu 22.04

I use the package texlive-full, which installs imagemagick and other related packages. When I check for updates, I get this message: The following security updates require Ubuntu Pro with 'esm-apps' ...
0 votes
1 answer
27 views

Unable to resolve unmet dependencies [closed]

It seems I have gotten my packages in a dependency loop, I'm not sure to be honest. Can anyone help me resolve my dependencies issues please? lsb_release -a No LSB modules are available. Distributor ...
0 votes
0 answers
40 views

Refreshing Software Cache Stalls - While updating

I am getting an error when checking for updates. I need to refresh the software cache, when I do…it Freezes/Stalls. I can’t do anything but reboot. Tried this: sudo apt-get clean ; sudo apt-get remove ...
0 votes
0 answers
15 views

Error while installing firefox during the process of installing ubuntu_desktop

I am using Ubuntu server 22.10 on Apple M1, and using UTM to assemble the vm. During the process of installing ubuntu-desktop, the firefox cannot be installed automatically : errors were encountered ...
  • 1
0 votes
0 answers
21 views

After upgrade from Ubuntu from 20.04 to 22.04 GUI can not load

I've tried to reinstall ubuntu-desktop but there are many broken packages from ubuntu 20.04 and it has been impossible to me. Why is trying to install ubuntu 20.04 packages instead of 22.04? How can ...
  • 919
0 votes
1 answer
102 views

Can't Upgrade from 22.04 to 22.10? [duplicate]

I'm currently trying to upgrade from 22.04 to 22.10 (just because I'd like to), and for some reason, I have 20 packages that no matter what I try, they will not update, which is holding me back from ...
0 votes
0 answers
27 views

Can't install Firefox

First all Firefox tabs crashed, then I closed it and wanted to restart it. Clicking on Firefox did nothing, trying to open it via terminal gave me these errors: /bin/bash: /lib/×86_64-linux-gnu/libdl....
0 votes
0 answers
13 views

How can I create changesfile when creating deb package?

I'm creating a deb file but don't know how to create .changesfile. Is there any example to create this file and what for system needs this file. When reprepro include more than one deb packages how ...
  • 119
0 votes
1 answer
26 views

How to wait on /var/lib/apt/lists/lock availability on unattended execution? [duplicate]

Please note: there're similar questions around, but this specific scenario is unanswered. Don't close this as a duplicate of 335794 or 1340943. This is always reproducible, and this is about apt lists ...
-1 votes
0 answers
31 views

Im getting gcc error while copiling c code im working in mqtt application

arm-criticallink-linux-gnueabi-gcc: error: : No such file or directory Makefile:23: recipe for target 'Builds/NGHoTController.omap138' failed make[1]: *** [Builds/NGHoTController.omap138] Error 1 ...
-1 votes
1 answer
27 views

Ubuntu Server 22.04 automatically installs open-vm-tools

When I apt update and apt dist-upgrade the process installs open-vm-tools package. Why is open-vm-tools being installed on a bare-metal server? Could it be a dependency that I am not aware of? Is this ...
  • 66
0 votes
0 answers
77 views

"sudo apt update" gives "The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 76F1A20FF987672F" [closed]

When I run sudo apt update I get this: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'https://brave-browser-apt-release.s3.brave.com stable InRelease' doesn't support ...
  • 1
-1 votes
0 answers
50 views

Problem with h5py (error: libhdf5.so: cannot open shared object file: No such file or directory)

I have a problem with h5py. I'm trying to install a package (P.E.P.P.E.R), but when trying to install, it will give an error. error: libhdf5.so: cannot open shared object file: No such file or ...
-1 votes
1 answer
94 views

How to make the default ubuntu repositories trustable again?

So the other day some of my repos(including PPA's) started throwing signature. Every time I try to update my repos I end up with this error sudo apt update Get:1 http://archive.ubuntu.com/ubuntu ...
-2 votes
1 answer
48 views

Updating Ubuntu 20.04 from 18.04 error [duplicate]

I have this error message when trying to upgrade from Ubuntu 18.04 to Ubuntu 20.04. W:El objetivo Packages (main/binary-amd64/Packages) está configurado varias veces en /etc/apt/sources.list:4 y /etc/...
-4 votes
1 answer
65 views

How can I install Android Studio as a package? [duplicate]

For some bizarre reason official instructions are for manual install: https://developer.android.com/studio/install#linux sudo apt-get install android-studio Reading package lists... Done ...
0 votes
1 answer
38 views

GPG error on inexistent NO_PUBKEY id

I am facing a common issue on my ubuntu 22.04: can't execute apt-get update successfully because of missing signatures: Reading package lists... Done W: GPG error: https://dl.k6.io/deb stable ...
0 votes
0 answers
31 views

How to solve the error 'unmet dependencies'? [duplicate]

How do I solve the problem of 'unmet dependencies error' in Ubuntu 20.04? I have tried sudo apt clean and all the other commands but for every package command it gives me the same unmet dependencies ...
  • 1
0 votes
0 answers
58 views

SyntaxError: invalid syntax when using pip

I was trying to install ncclient using pip. But when I use the pip command I get the following error. Im using ubuntu 18.04 Error processing line 1 of /home/8888/.local/lib/python3.5/site-packages/...
  • 1
-3 votes
0 answers
40 views

problems with sudo get update [duplicate]

I am quite new with Ubuntu, and I have a problem when trying to update. I was looking at previews posts, but could not find the right solution.
1 vote
2 answers
230 views

Gnome's Software ignores apt's "kept-back" package status

Problem description The application Software (that is, Gnome Software 41.5) shows available updates, while sudo apt update && sudo apt full-upgrade finds no updates, apart from some kept-back ...
  • 11
1 vote
0 answers
33 views

Updater & software & updates not updating anything [duplicate]

So first I know absolutely nothing about Xubuntu or Linux whatsoever. I'm basically a laymen when it comes to computers period. Anyway, I'm running Xubuntu 20.04.1 LTS thanks to my dad. My software ...
0 votes
0 answers
41 views

how to make an installed package as a service in ubuntu? [duplicate]

I've installed the ocserv package using these commands on Ubuntu 22: mkdir /usr/local/src/ocserv cd /usr/local/src/ocserv wget ftp://ftp.infradead.org/pub/ocserv/ocserv-0.10.9.tar.xz unxz ocserv-0....
0 votes
0 answers
15 views

problem installing CLooG

I tried installing CLooG after reinstalling Ubuntu and i runned the following command :sudo apt install libcloog-isl-dev but it returned me : Package libcloog-isl-dev is not available, but is ...
  • 1
0 votes
1 answer
63 views

Stuck at `sudo apt upgrade`, and can't get over `E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).` [duplicate]

I use Ubuntu 22.04.1 LTS. However, after trying to sudo apt install ukui-desktop-environment the installation was not successful. Sadly, doing sudo apt upgrade doesn't work either. I get the following ...
  • 129
-2 votes
2 answers
104 views

Couldn't launch proton vpn

If I try to open proton via clicking on the icon,nothing happens whereas if I use the terminal and type protonvpn I get page full of exception and errors. Traceback (most recent call last): File &...
0 votes
0 answers
52 views

Upgrading from Ubuntu20 to Ubuntu 22 I had a message asking me to dpkg --configure -a

Upgrading from Ubuntu20 to Ubuntu 22 I had a message asking me to dpkg --configure -a Here is the result of this operation that is not solving the problem. It seems that i have a problem with 3 ...
  • 1
0 votes
1 answer
36 views

Upgrade from Ubuntu 16.04 to 18.04 - improper use of do-release-upgrade

I started an upgrade from Ubuntu 16.04 to 18.04 but did not follow the proper procedure. The sequence of commands I executed are: sudo apt-get update sudo apt-get upgrade -y sudo apt-get dist-upgrade ...
  • 1
1 vote
2 answers
42 views

Unmet dependencies in Sagemath installation at Ubuntu 22.04 : python3-pyr2 : Depends: python3 (< 3.9) but 3.10.6-1~22.04 is to be installed [duplicate]

I have just installed Ubuntu 22.04 and tried to install Sagemath from https://sagemanifolds.obspm.fr/install_ubuntu.html with the following commands: sudo apt install sagemath-jupyter Unfortunately a ...

1
2 3 4 5
203